Spotify Playlist API

Get a Spotify playlist and its tracks

1 creditper request
GET
/v1/spotify/playlist
curl "https://api.scrapecreators.com/v1/spotify/playlist" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 1,
  "id": "37i9dQZF1DX4UtSsGT1Sbe",
  "uri": "spotify:playlist:37i9dQZF1DX4UtSsGT1Sbe",
  "__typename": "Playlist",
  "description": "The biggest songs of the 1980s. Cover: Madonna",
  "followers": 12016730,
  "images": [
    {
      "sources": [
        {
          "height": null,
          "url": "https://i.scdn.co/image/ab67706f00000002fb8e01f2c022ab1a32e2c5a0",
          "width": null
        }
      ]
    }
  ],
  "name": "All Out 80s",
  "ownerV2": {
    "__typename": "User",
    "name": "Spotify",
    "uri": "spotify:user:spotify",
    "username": "spotify"
  },
  "tracks": [
    {
      "id": "6r8k1vznHrzlEKYxL4dZEe",
      "uri": "spotify:track:6r8k1vznHrzlEKYxL4dZEe",
      "name": "La Isla Bonita",
      "albumOfTrack": {
        "name": "True Blue",
        "uri": "spotify:album:6fmnT17jc2Sc69q3nza1eD"
      },
      "artists": [
        {
          "profile": {
            "name": "Madonna"
          },
          "uri": "spotify:artist:6tbjWDEIzxoDsBA1FuhfPW"
        }
      ],
      "duration": {
        "totalMilliseconds": 242733
      },
      "playcount": 785646615
    }
  ],
  "cursor": 50,
  "totalCount": 150
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

id
string

Spotify playlist ID. Provide id or url.

Example:
37i9dQZF1DX4UtSsGT1Sbe
url
string

Spotify playlist URL. Provide id or url.

Example:
https://open.spotify.com/playlist/37i9dQZF1DX4UtSsGT1Sbe
cursor
string

Cursor returned by the previous response. Omit it for the first page.

Example:
50